<?php

use Illuminate\Support\Facades\Route;
// use App\Responses\UnauthenticatedResponse;

Route::get('/', function () {
    return view('welcome');
});


// use App\Http\Controllers\Api\BaseApiController;//BaseApiController; // <-- IMPORT THE CONTROLLER

// ... other routes

Route::get('/login', function () {
     return response()->json(['status' => 'error', 'message' => 'Unauthenticated. Please provide a valid token.'], 401);
})->name('login');